# Generated from molder-0.2.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name molder

Name: rubygem-%{gem_name}
Version: 0.2.1
Release: 1%{?dist}
Summary: Molder is a handy command line tool for generating and running (in parallel, using a pool of processes with a configurable size) a set of related and yet different commands. A YAML file defines both the attributes and the command template, and Molder then merges the two with CLI arguments to give you a consistent set of commands for, eg. provisioning thousands of virtual hosts in a cloud. The gem is not limnited to any particular cloud, tool, or a command, and can be used across various domains to generate a consistent set of commands based on the YAML-supplied attributes and templates, that might vary across custom dimensions. For example, you could generate 600 provisioning commands for hosts in EC2, numbered from 1 to 100, but constrained to the zones "a", "b", "c", and data centers "dc" (values: ['us-west2', 'us-east1' ]). Behind the scenes Molder uses another Ruby gem Parallel — for actually running the provisioning commands
License: MIT
URL: https://github.com/kigster/molder
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(simplecov)
# BuildRequires: rubygem(awesome_print)
# BuildRequires: rubygem(yard)
# BuildRequires: rubygem(rspec) >= 3
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(rspec-its)
# BuildRequires: rubygem(aruba)
BuildArch: noarch

%description
Molder is a handy command line tool for generating and running (in parallel,
using a pool of processes with a configurable size) a set of related and yet
different commands. A YAML file defines both the attributes and the command
template, and Molder then merges the two with CLI arguments to give you a
consistent set of commands for, eg. provisioning thousands of virtual hosts in
a cloud. The gem is not limnited to any particular cloud, tool, or a command,
and can be used across various domains to generate a consistent set of
commands based on the YAML-supplied attributes and templates, that might
vary across custom dimensions. For example, you could generate 600
provisioning commands for hosts in EC2, numbered from 1 to 100, but
constrained to the zones "a", "b", "c", and data centers "dc" (values:
['us-west2', 'us-east1' ]). Behind the scenes Molder uses another Ruby gem
Parallel — for actually running
the provisioning commands.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/exe -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{_bindir}/molder
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/.rspec_status
%exclude %{gem_instdir}/.travis.yml
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bin
%{gem_instdir}/exe
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%doc %{gem_instdir}/docs
%{gem_instdir}/molder.gemspec

%changelog
* Tue Sep 14 2021 mockbuilder - 0.2.1-1
- Initial package
